Bug 429576 - xrandr on Fedora 7
xrandr on Fedora 7
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 14:04 EST by Mary Ellen Foster
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 10:35:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2008-01-21 14:04:08 EST
Description of problem:
Fedora 7 has xorg server version 1.3.0.0-9 (from June 2007), while Fedora 8 has
version 1.3.0.0-37 (last updated in December). According to the changelog, there
have been a lot of fixes between -9 and -37. Is there a reason the updates
aren't reaching Fedora 7?
Comment 1 Adam Jackson 2008-01-23 16:37:32 EST
The current version in F7 is 1.3.0.0-16.fc7, not -9.

Of any two supported releases, the older one receives updates at a much lower
rate simply because that's how software stabilizes.  We don't backport every fix
to every release because different fixes have different levels of importance.

In particular, many of the changes to F8's xserver either required
synchronization with other components, or actually made things worse for a time.
 People who are still using the older release are doing so because they have a
working system and they're not interested in changes that will break it.  If we
backported everything all the time, then why bother having releases.

If there are specific fixes from F8 that you'd like to see incorporated in an F7
update, please do let us know.  But the reality is that older releases are going
to lag behind, and that's a good thing.
Comment 2 Matěj Cepl 2008-01-23 19:53:58 EST
Or actually, in reality this is WONTFIX. Reporter, if you have any specific
request for F7 to be fixed, reopen please this bug and let us know about it.
Comment 3 Mary Ellen Foster 2008-01-24 04:23:52 EST
Specifically, we want to be able to use xrandr with the free ATI driver. Looking
at the changelog, there have been a *lot* of xrandr fixes to the X version
that's on F8, and none of those seem to have made it into F7.

We have tested -- xrandr freezes and then crashes X on Fedora 7, but using the
Fedora 8 livecd it works perfectly. So this is what we're hoping to get in
Fedora 7 as well.
Comment 4 Matěj Cepl 2008-01-24 06:24:26 EST
OK, this makes sense. I am not sure whether we plan to fix xrandr in F7, but in
order to at least consider what's going on we would some information:

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

Could you please also describe specifically what you tried to with xrandr, what
you expected to happen, and what happened actually? "xrandr freezes" is just too
general to investigate.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Matěj Cepl 2008-02-25 18:07:30 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Matěj Cepl 2008-04-10 10:35:21 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.